#### 3.8.1 Invocation of `readmsg`. ¶

`-a`
`--show-all`

  If a pattern is used for selection, show all messages that match pattern by default only the first one is presented.

`-d`
`--debug`

  Display mailbox debugging information.

`-e`
`--exact`

  Look for messages containing exactly the words given as arguments. This is the default. Other options changing this behavior are: `--glob`, `--regex`, and `--ignorecase`.

`-f mailbox`
`--folder=mailbox`

  Specified the default mailbox.

`-g`
`--glob`

  Treat non-option arguments as shell globbing patterns. For example, to select the first message with words ‘`morning`’ and ‘`coffee`’ with anything bewteen them:

      readmsg --glob 'morning*coffee'

  (notice quoting, which prevents the shell from interpreting the ‘`*`’ prematurely).

`-h`
`--header`

  Show the entire header and ignore the weedlist.

`-i`
`--ignorecase`

  Ignore the case of letters when looking for matching messages. E.g.:

      readmsg --glob --ignorecase 'morning*coffee'

`-n`
`--no-header`

  Do not print the message header.

`-p`
`--form-feed`

  Put form-feed (Control-L) between messages instead of newline.

`-r`
`--regex`

  Treat non-option arguments as POSIX extended regular expressions.

`-w weedlist`
`--weedlist=weedlist`

  A whitespace or coma separated list of header names to show per message. Default is `--weedlist="From Subject Date To CC Apparently-"`.

See also Options That are Common for All Utilities..